Xeonr Developer Docs

List Organisation Users

POST
/xeonr.auth.private.v1.OrganisationService/ListOrgUsers

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

usernameFilter?string
pageSize?integer
Formatint32
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.OrganisationService/ListOrgUsers" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "users": [
    {
      "account": {
        "userId": "usr_a1b2c3d4e5f6",
        "username": "johndoe",
        "email": "[email protected]",
        "avatarUrl": "https://cdn.example.com/avatars/abc123"
      },
      "disabled": true,
      "isAdmin": true,
      "pending": true
    }
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}